Method: advertisers.negativeKeywordLists.patch

  • This document details how to update a negative keyword list and receive the updated list upon success.

  • The update uses a PATCH HTTP request to a specific URL that includes the advertiser ID and the negative keyword list ID as path parameters.

  • A required updateMask query parameter is used to specify which fields of the negative keyword list will be updated.

  • The request and response bodies both contain an instance of a NegativeKeywordList object.

  • Successful authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Updates a negative keyword list. Returns the updated negative keyword list if successful.

HTTP request

PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordList.negativeKeywordListId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the negative keyword list belongs.

negativeKeywordList.negativeKeywordListId

string (int64 format)

Output only. The unique ID of the negative keyword list. Assigned by the system.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of NegativeKeywordList.

Response body

If successful, the response body contains an instance of NegativeKeywordList.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.